Bug 5365 - It should be more clear how to reopen a basket in a basket group
Summary: It should be more clear how to reopen a basket in a basket group
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal with 10 votes (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/acqui/basketgroup.pl?op...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-04 03:35 UTC by Nicole C. Engard
Modified: 2019-11-08 12:56 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 5365: Make more clear how to reopen a basket in a basket group (2.26 KB, patch)
2019-11-06 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 5365: Make more clear how to reopen a basket in a basket group (2.31 KB, patch)
2019-11-06 13:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5365: Make more clear how to reopen a basket in a basket group (2.41 KB, patch)
2019-11-08 10:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-11-04 03:35:39 UTC
On the basket groups page (cgi-bin/koha/acqui/basketgroup.pl?booksellerid=1) there is a button to reopen a basket, but this does not actually reopen the basket in any useful way.  Once reopened I cannot edit the contents of the basket, I can only move around baskets in the group and rename the group.

There needs to be a way to reopen a basket and a clearer explanation of what the reopen button really does.
Comment 1 Marcel de Rooy 2010-11-25 08:59:00 UTC
If a basket is not part of a basket group, the button to Reopen appears. If a basket is part of a group, there is no button. 
To reopen a basket belonging to a group, you just first need to "ungroup" it.
Comment 2 MJ Ray (software.coop) 2010-11-25 16:29:24 UTC
(In reply to comment #1)
> If a basket is not part of a basket group, the button to Reopen appears. If a
> basket is part of a group, there is no button. 
> To reopen a basket belonging to a group, you just first need to "ungroup" it.

Perhaps I'm being dense here, but how does one "ungroup" a basket?  Is this in 3.0, 3.2 or only HEAD?
Comment 3 Fridolin SOMERS 2010-12-01 13:29:33 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > If a basket is not part of a basket group, the button to Reopen appears. If a
> > basket is part of a group, there is no button. 
> > To reopen a basket belonging to a group, you just first need to "ungroup" it.
> 
> Perhaps I'm being dense here, but how does one "ungroup" a basket?  Is this in
> 3.0, 3.2 or only HEAD?

In 3.2 : 
Edit the basket (page /acqui/basket.pl).
In combobox "Basket group:", choose "No group".
And click on "Change basket group".

Hope it helps.
Comment 4 MJ Ray (software.coop) 2011-05-03 09:20:41 UTC
Looks like this applies to 3.0 only. Retagging...
Comment 5 Katrin Fischer 2011-05-03 11:07:27 UTC
Retagging to master. 

I think the described problem still exists.
It's not clear when the reopen button for baskets will appear and it still requires to 'ungroup' your basket before you can reopen it.
Comment 6 Jonathan Druart 2015-03-24 10:39:59 UTC
Any suggestions on how we could clarify the situation?
Comment 7 Katrin Fischer 2015-05-24 13:53:22 UTC
Hm, some ideas:

Show the "reopen basket" button, but on clicking it, inform that the basket has to be removed from the basket group first and ask for confirmation for doing this.

Show the "reopen basket" button greyed out (possible with buttons?) and display a tooltip of why it won't work yet. Similar to what we do for deleting the record from the detail page with items left.

I am not sure how good those ideas are :)
Comment 8 SiobhanC 2019-11-04 11:57:34 UTC
I've just come across this problem when trying to cancel an order in a basket that is within a group, I had to ungroup the basket, then I was able to reopen it and cancel the order. Then regroup the basket. Why can't baskets within basket groups be reopened, edited and closed? What problems would this cause? 

This is happening in version 18.11.
Comment 9 Jonathan Druart 2019-11-06 09:51:09 UTC
Created attachment 95092 [details] [review]
Bug 5365: Make more clear how to reopen a basket in a basket group

The "reopen basket" button will be visible but disabled if the basket
cannot be reopened. A tooltip is attached to the button to add more
information.

Note that the export button is still hidden, would it makes sense to
display it (visible and active)?

Test plan:
- Create a basket
- Close it
- Go to the basket detail view
=> The reopen button should be displayed and enabled

- Attach it to a basket group
- Go to the basket detail view
=> The reopen button should be displayed but disabled
Comment 10 Jonathan Druart 2019-11-06 09:53:22 UTC
This patch only addresses what is described in the title of this bug report => Display the button, but disabled, if the basket cannot be reopened.
Comment 11 Katrin Fischer 2019-11-06 13:27:18 UTC
Created attachment 95106 [details] [review]
Bug 5365: Make more clear how to reopen a basket in a basket group

The "reopen basket" button will be visible but disabled if the basket
cannot be reopened. A tooltip is attached to the button to add more
information.

Note that the export button is still hidden, would it makes sense to
display it (visible and active)?

Test plan:
- Create a basket
- Close it
- Go to the basket detail view
=> The reopen button should be displayed and enabled

- Attach it to a basket group
- Go to the basket detail view
=> The reopen button should be displayed but disabled

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2019-11-06 13:32:08 UTC
This one is in the top 10 of repeated support questions for us, so happy to see this change. We could refine the wording of the tooltip a little bit maybe, but it's ok to go in as is.
Comment 13 Marcel de Rooy 2019-11-08 10:20:06 UTC
Created attachment 95189 [details] [review]
Bug 5365: Make more clear how to reopen a basket in a basket group

The "reopen basket" button will be visible but disabled if the basket
cannot be reopened. A tooltip is attached to the button to add more
information.

Note that the export button is still hidden, would it makes sense to
display it (visible and active)?

Test plan:
- Create a basket
- Close it
- Go to the basket detail view
=> The reopen button should be displayed and enabled

- Attach it to a basket group
- Go to the basket detail view
=> The reopen button should be displayed but disabled

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 14 Martin Renvoize 2019-11-08 12:56:43 UTC
Nice work!

Pushed to master for 19.11.00